POST /vimgrvcenterruntime/initiate/managementservice
/vimgrvcenterruntime/initiate/managementservice
Avi Tenant Header
Avi Tenant Header UUID
The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.
Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.
CreateManagementServiceReq
Show optional properties
{
"management_service": {
"management_service": "string",
"ports": [
{
"port": 0
}
]
},
"supervisor_id": "string",
"vcenter_host": "string"
}
{
"cloud_uuid": "string",
"management_service": {
"management_addresses": [
"string"
],
"management_service": "string",
"ports": [
{
"name": "string",
"port": 0,
"tls": {
"certificate_authority_chain": "string",
"hostname": "string"
},
"transport_protocol": "string"
}
]
},
"supervisor_id": "string",
"vcenter_host": "string"
}
VCenter Cloud UUID. Field introduced in 32.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
management_service
Supervisor ID under which the Management Service will be created. Field introduced in 32.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
VCenter host to be used to create management service access grant. Only applicable to NSX-T Cloud. Field introduced in 32.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
OK
log in failed
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"management_service":"object","supervisor_id":"string","vcenter_host":"string"}' https://{api_host}/api/vimgrvcenterruntime/initiate/managementservice